=== pkg/maemo5/debian/changelog ===
lugdulov (0.6.0-1) oneiric; urgency=low

  * Use QtMobility Map
  * New cities and new countries

 -- Corentin Chary <corentincj@iksaif.net>  Sun, 16 Oct 2011 00:00:00 +0200
