=== pkg/maemo5/debian/control ===
Source: lugdulov
Section: user/navigation
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-12-dev, libqt4-dev, cmake, libx11-dev
Standards-Version: 3.7.2

Package: lugdulov
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: Recherche de stations de vélos.
 Fonctionne en France, Belgique, Irelande, Luxembourg,
 Espagne, Autriche, Allemagne, Lettonie, Japon, Suisse,
 Nouvelle-Zelande, Grande-Bretagne, Canada, USA, Australie,
 Pologne, Taiwan, Slovenie.
XB-Maemo-Display-Name: Lugdulov
Description: A bike sharing application.
 Support cities in:
 France, Belgium, Ireland, Luxembourg, Spain, Austria,
 Germany, Latvia, Japan, New-Zealand, Switzerland,
 United-Kingdom, Canada, USA, Australia, Poland, Taiwan,
 Slovenia.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAFxG
 AABcRgEUlENBAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/
 AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAPm0lEQVR42sRZWZCU53U991v+
 rbtnelaGgYGBYcTAAEIgoQ0QMjiyHazYcsoux5ZdtuOKnVQeklTipFJ5SVxJ
 Oa7kKZVyUk5cSeSUbbkUW/ImCWGhBS1IIMQmhmFfhmG27unuf/++m4eZYRMS
 lPKQfup+6L9Pn++ec+89H8VJNFE/Z9kQEf4fX8xE1FroUbXk0vde/nojmVDS
 ++BPIwAgAPwBn2BtqpX/lU3fVWCb5o04b2g2N/0aAQxYsOXcWANrBBvJEAwC
 WbAhMJEVkoSUpARJcWsgjU0tM7NVAEnhKOEooW+GhjLiPG+oPG9lf77q7mrt
 by30FPx2VxdB0po0TivT0aWx6RMj9ZOjPNWgxDq+Iz1hmd8XGAFKaAKpW6WU
 KM0bhThdU1gxsGDLonnry22DutQBCWYwWWYmkgQQg1OOKsNj44dOXHz58KUX
 Tttx65dc0uCbk6VupT4SkwRxsq4weNfazy1cvFWVWiwnWT4cRntgxmDrQAJm
 kAS5QFnobtW2dFHnJxYv/8Td4yfeGX78lXM/OcXj5BY11Pufobo5MUl1iW35
 cP8f3Lbmq/BlmpxKa08jPwo7DVgQwGKWdDvDD9scNta56CC9Trffta7rGysu
 ffrVvd/eNb6j7rmu9N6HqvcDZIg4qmwO7ti24a+C7tVJfMJOPcdmiJCBHJBz
 5fyvfjP7kWFHOX4yS17I9J2q7cEHt/3z0kM/fOrgt084oacCeg9M7wkoIysb
 1Y91fnzj/X/DhVJUexLpbnBI5AHBLUiHAA3S4DrSHXl2yBa2L177mUfLS/7n
 1T97Oxnx3KYbYhI3fFJOkGH14Xmf2rzlH3JPJlP/wslzgAEVAHlLQmZgRljk
 gHzwJdv4j6i2o9S74dOb/ul2WhhnNdzIisUN64aj6odbH7p3818nNJVXvwNz
 iCi4FQXM/ScSgSOLnvA1aMYxXIA4/llcfcpbsOqR+/5xwLTFJno3JvEuTVGc
 Tt/prnzgvm+mypraf8GeAhVuGQqEo8Covjo09vN90/vPwPLcr0qQg/S5ePpX
 pUW3P3zHX7RHNrXZTQClNl2QeR9e/5dUbs1qP+J3o6G5smW+gVgsmKiy79zo
 f+50hnbXfvFiVk2kp4WSJAVIgVwkT0f117oGtn+k9/MibvC1JKnr6JFxtHXx
 l1oWbwhrvybzFii4BowgUtJCCAkiYoDTjHM7UzTCkdG5qdHHnvcKpu02v9Bl
 4moTBX7WyGycCU8KRWABCI5/EevFq+/4/cMXd+01533p3wAQgWKbrJDzB9d8
 Lc5HkOy8Di5JmdeiqWf2wmSiUBSehtb+0nleTxvnBgQ2VrcUvP6F6szhjhVq
 8oxK3HLl57tRmSIyaSzL2+8tLGm3mQOesuHTsvzFzQNfO7b/z6OCR+8+MiPI
 icJ7Fn1KNbfY8EVwFbi2uymRjDfSQ0cKk++4Fw/Ud781/tSe6PQEKTkjO7Ys
 A9312ftNz/LwUjI9SnzubNkMt7VXOubX3GQ0r8SQAgyQj/xgmhxf0PfQitLq
 LKtfti8xJwvKTNSju/r6H8mzSc4PXvG9K9aUB4taig89MEW9lbO2uPXevr/9
 fMt9y2ySXvZGzi2sCW7vq1U9z0t9P9FlF1pBKOHoKxYKCWQm3iWCYHX3b/iZ
 MbDXALJgzuL+1jv95gV58gbxNHDZiImkICkYIEHlzSs6H92as2urVVkOZieS
 qwsxy/2e1lwXgzZRvaTiCgsJEkQCfEUEDPKQD2dmvLdnS7dsz+fkNgeI2Tei
 t309NHF+GJBgJkEycMjR1pA1BKHIc2Cs2xYU7xmsvjKcjVYhrtcpKZnVEmFi
 x2fV2dKoapvYLLLpdApjrpErR3l0IGi7bXHzSp4DpOYAZa1U6mwfzMwkzBhI
 C0dZw5U3z6anLqBRA1u4nmhrDQYW+j1tQpJKquHwxaa7+pBdO9kp2Th4xkWY
 G+EVbLVSmjo5JksF/7Zl/tIOUhKUXeae8yEuPriwZZWc3Dkzds4Bsrbd7yq0
 9OfZCdhI+IV4ZHryl3v05NlCi5UuAHCIZJSrB5sn/DY3utCy3IuPnMK6pdfY
 mu/UDo7kb77hLynl8xYHhw85TRqBiesN0Zicfm5vsqKvuGohseXcgAXMuOFG
 W3nAZ8nXyJ5t2euUTinLLpGnakdHq0/sbOsK3X4XJC5z7LZwMYuSyWOmf6ns
 7LDP7k/HpnV7gIwBhpTJZFR7dve8XsNuno6e8NrZKmHcdo8cjmKeGAmfeic6
 srrt4Q3SEZwREHI+WSz2+HAb1wEKdJkkOKkSs5BEjlYFByTYXt0xCUr6nYU0
 nMipS5Z0bf/Jzk9usI0YxoqiN/XSUVW9WFNBoSXXCg3TbFMZbHtIeQ7nxoxP
 NL29Jzq0d/yJvPMzG0lKNrkxoeO2BsKrwV4le2ZXFUCAqcNYf3GHKBXT6SwL
 c8EWdE0btyBlQoyPen3z4zcPjf5gd+3A2Whkevqts7Vd+2LdUak0RxNR3rvG
 /eh2snl27JjQSkq4Pd1i01ZvsFeePlh57Ti5DmCAVCrfnRsirnLq2Z7CwtWV
 N8/JqfO0db3xivHbrzpOBq1xtWYdLafHssL89p40PH2gftyHzeMzVbVkUXHz
 2vyF59XiBc7q1SJwzOCq9I3X9dJe1VS0UaRLAdbf51+4FB47btb3CikIDBCB
 ZraAWYZYIDMxGCQDZmRnR1XJdVcOBGtW0r0firkIY67hiYSWxp8+q1zhdhWa
 Ny4TvtZ9i7q//jEJI8KKWNhDWnIYOQP9otyavPqazS2k5CTVnW2ip4dqU3kj
 gZAMbU2SwhDo6tYhoqwKC8gmayzHkSi4pJSNI3fJIm5uQZYRmAAigMAMCHJ8
 IRzpO2n8ytu529H11Y+okmumI6FodjpjCCXde+62J4aj19+8bFrU3Iw84ywD
 KSH9NK1GnIprAJGoxGM2S4RoJyHgOByGNkkgiI0R5ZYsgY0zEyc2TjhJCSBi
 NoYklOa0Tq0fvVP7yiYZHJXUmCuVmZrgLFftrXrLh/TCblg764hZzqRIC8AT
 ohyGF0KOZhhSc3jERHwxqp7SnQuIHTWvPX8nzk+edteu4ThxV6/Kyq1Z2ECW
 Is84TcXF08mUCes6aDLIcizsdVp9k2QkRbC8O9y7NDtxRq+ry0LAmQGxN9AP
 azk3IGK22YVLKJZVwQGahGieqh6LYLyrW4ckPZlPTkwc1mI+Z8XCYFfutZv9
 e9ORMXJd4TruimXeurXuPXe7mzZTx7y8Wg9VV9Pv/NZUvXX0uGj56F3ClWBw
 br15paat68KzjXT/WywUOZqk5NywZSgNx0kPH4mGL+oV/dIXTL3C0sjkwVzO
 amoWkCBRF+bMxD5iApY4zTLYtKF2MrTP/yo5ciSv1kylbmo1MzGZvvE67Xmh
 PqEL960pLCrZKGUiTlKa06BpxMWBLlq1tr5rf7r7JTNdNblhhjXWTE+ne/eE
 T+/i+X3NG/o4hXLXpNOjp6qHINSMitVcj6VM6eGJPRvqU8K729TeaF6/0DS2
 VF/eXRzfgc4yBQEYplrLxmuNuBxsvbdp5XxTi7u/vIWt1eWCvdzRGMhN+8N3
 jYMqO98KDh7V3W0UeMgynpiMz1fj4tL2RzaRSNh0a2fxmaM/PpuclY5mAQTu
 ZadmrYMT9eMjp3b2rPmUEf2cHmh5YKDR1RLtH7IXLyCpQAhqbpaDgy1rlgU9
 LTZKSAlvfgsINs5h+cpUZKxQovORu+sDPdGBofD4RUQTkIKaynL1mo77l+sm
 x0Z1UdgIY9++9PR4ySjHU6E0P3hZXf5Xmqnhqj3Djy3q/wT5GzkdJp0W13cV
 1s839dhMxWyFCjzpKiI2YUIK5BErCwY5AhkjYzY8M2lxakhwaWV3YUW3qaem
 kUCSavKlr0hY5ga1r9birtGR14ZOv77sfNvKt0pLdju6/t9XOTWz1sG+5PDt
 537Ud9tno8Yd5vAL9hTy4ZTPZlwxXMuT0HDORIBLVJCiWdECRy515DKPFirR
 qqgooGhuUQTDElgVtJbOzFDBSW5ruR0ne6HZDD2T/+zx39zX1jreVJ0fnb4z
 XfmVP54FZDTHLgtmZ8o/893HFoyN1V7bbyZOoe6S51CHFF1KtErqdCCJLHPE
 XDH5gcjuqPO0gccoClFUcokreh3RqdAsyRfkEhhILYfMU8aO5vZEYk7XbWRU
 /UzcqIwtzMY2qufWjV1Y3DDt3vIPrVTsiKTEYgzL3vZXPxss2ufmIjnX9ETn
 xz8j7vsk9b0k5kdULpADKHGlezBgmHPLdebR3ByPzdHEHo3NUJIdjWxukTMM
 ZrdEAiRICygpOjL9wFp/7Za8beqnk38/ND9hVwkGUutFoOlYUTVd+4S3/Jl5
 3ceKF1ekr/927fjtcdzZeGSdM7hye2z77PT3YUJOXMTmBqFaQKLflYMuJIHB
 kUXD2JARMlLLZs59XUE+IYioedDxv0hZ+tSuPzwqa44tiHAm0iOSAKDsg9/a
 dEyd2sA//tz4mVVJUrJkiRP1kz3f9kO9dN0XYvcLtvED8CTIA+j6RMGAc4t4
 bqmVRAUpmwgECIBodkawGUzC4g7tPaoa+Y6df/py9WUnaBXv2n1V1lN88nej
 4YEJIqlS8uoCFiA1GegfHv67TyPvu+PLifw9U/8xzBCgbrAeXQ3SMBtctWIT
 YMAxk0fONre0navVZ1/4k2erv5ZBi7hhHOP85I9GVrGsGzcUMp8ZTgCwJ73J
 gvvY4W/tffGbThbo8tfhPQxqZg6B7ObZ0EzaiAjIoPpF4ct+8/b4/IEnd3zp
 mdrzImiV7xHpKMpZhXz9WQBgdqAbBfH42e+dmdz/4PpvNPdszbx7suQVJHtg
 x0EWTCBxVf6A2dgYDGYmh9Ry4d2vvVUypeN7/u1XQ/96QlYd78bczK1BzHjP
 CJ81pCmUX0wPnHjxqxsXPrzytkeLndtsYVuWHjHxEMwFcAXcwEz1MoE0qATR
 RmqR8gcd2YU4GR3a+erRf3+juif0HFeWiP8PoSfAkknq0og2j5//fu/5X67p
 3ras+4GOznVu0woWMBzavALEYCZSoEDIFkkKKaLxo8dGnj1ybsfBqdfGPeEU
 mz3LN02GbzEUYxfC+q0nbXJq5PHm8z/tcboXta6ZV17eVOz1/U6tiwRhOErT
 0bDx0uT08QuTh0/XjoyYyVBBFQs+1Ox0dgs5NVs2lnPLNwPHuYawTrHK+aQ9
 t3/spBpl10qPtCZNIAOTchYjz8gaKUlqqT0HgixbpMD7Xe5YNpYNwApEBCEg
 CHTzvA6QgCStpYb0mZAByWwtg6AANZu+Xn80dNN7C4JgEEVJODI1ZDj/gNdT
 s5KgOYnNQvtA11Oyq7n/fwcA/ZM00MAEp20AAAAASUVORK5CYII=
