=== pkg/ubuntu/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLUGDULOV_FULL_UI=ON -DQMAPCONTROL=OFF
