=== utils/CMakeLists.txt ===
add_subdirectory(cli)
add_subdirectory(test)
