=== pkg/ubuntu/debian/changelog ===
lugdulov (0.6.1-1) oneiric; urgency=low

  * Fix last CycloCity cities

 -- Corentin Chary <corentincj@iksaif.net>  Thur, 10 Nov 2011 00:00:00 +0200
