=== pkg/maemo5/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Corentin Chary <corentincj@iksaif.net>
 XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
-Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-12-dev, libqt4-dev, cmake, libx11-dev
+Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-12-dev, libqt4-dev, cmake, libx11-dev, liblocation-dev
 Standards-Version: 3.7.2
 
 Package: lugdulov
