=== pkg/ubuntu/debian/control ===
Source: lugdulov
Section: misc
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
HomePage: http://dev.iksaif.net/projects/lugdulov
Build-Depends: debhelper (>= 7), libqjson-dev, qtmobility-dev, libqt4-dev, cmake, pkg-config
Standards-Version: 3.9.1

Package: lugdulov
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtm-geoservices-google, qtm-geoservices-osm
Description: A bike sharing application.
 Support cities in:
 France, Belgium, Ireland, Luxembourg, Spain, Austria,
 Germany, Latvia, Japan, New-Zealand, Switzerland,
 United-Kingdom, Canada, Turkey, Poland, Taiwan, USA.
